Package twisted :: Package mail :: Module relay :: Class SMTPRelayer |
[frames | no frames]

## Class SMTPRelayer

                RelayerMixin --+
                               |
    BaseProtocol --+           |
                   |           |
            Protocol --+       |
                       |       |
            LineReceiver --+   |
                           |   |
                  SMTPClient --+
                               |
                              SMTPRelayer

Known Subclasses:
  `SMTPManagedRelayer`

Method Summary
| `__init__(self, messagePaths, *args, **kw)`
Inherited from RelayerMixin
| ``getMailData`(self)`
| ``getMailFrom`(self)`
| ``getMailTo`(self)`
| ``loadMessages`(self, messagePaths)`
| ``sentMail`(self, code, resp, numOk, addresses, log)` Since we only use one recipient per envelope, this will be called with 0 or 1 addresses.
Inherited from SMTPClient
| ``connectionLost`(self, reason)` We are no longer connected
| ``connectionMade`(self)` Called when a connection is made.
| ``finishedFileTransfer`(self, lastsent)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``sendLine`(self, line)` Logging sendLine
| ``smtpConnectionFailed`(self, code, resp)`
| ``smtpState_data`(self, code, resp)`
| ``smtpState_disconnect`(self, code, resp)`
| ``smtpState_from`(self, code, resp)`
| ``smtpState_helo`(self, code, resp)`
| ``smtpState_msgSent`(self, code, resp)`
| ``smtpState_to`(self, code, resp)`
| ``smtpState_toOrData`(self, code, resp)`
| ``smtpTransferFailed`(self, code, resp)`
| ``transformChunk`(self, chunk)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net